#!/bin/sh

echo "pre-uninstall"

container=$(docker  ps -a | grep Portainer |awk '{print $1}')
im=$(docker images portainer/portainer:latest -q)
imce=$(docker images portainer/portainer-ce:latest -q)

echo $container
echo $im
echo $imce

if [ ! -z $container ]; then 
	docker kill $container
	sleep 2
	docker rm -f $container
fi

if [ ! -z $im ]; then 
	if [ "$APKG_PKG_STATUS" == "uninstall" ]; then
		docker rmi $im
	fi
fi

if [ ! -z $imce ]; then
	if [ "$APKG_PKG_STATUS" == "uninstall" ]; then
		docker rmi $imce
	fi
fi